Subject: bug#59087: 29.0.50; package-vc-update error

From: Philip Kaludercic <[email-masked]>
Date: Sat, 19 Nov 2022 10:52:08 +0000

Feng Shu <[email-masked]> writes:

>> I'll try this out, but in the future it would be useful to see the
>> contents of the variable `package-alist'.  This is all related to that
>> value.
>
> (cl-prettyprint package-alist)

[...]

>  (popon #s(package-desc popon (0 12) "\"Pop\" floating text \"on\" a window" ((emacs (25 1))) nil nil "/home/feng/.emacs.d/elpa-29/popon-0.12" ((:url . "https://codeberg.org/akib/emacs-popon") (:keywords "lisp" "extensions" "frames") (:maintainer "Akib Azmain Turja" . "[email-masked]") (:authors ("Akib Azmain Turja" . "[email-masked]")) (:commit . "f57efe0abbe73a9c0e7f6953bce1eb81a2b37e7e")) t)
>         #s(package-desc popon (0 12) "\"Pop\" floating text \"on\" a window" ((emacs (25 1))) vc nil "/home/feng/.emacs.d/elpa-29/popon" ((:commit . "f57efe0abbe73a9c0e7f6953bce1eb81a2b37e7e") (:authors ("Akib Azmain Turja" . "[email-masked]")) (:maintainer "Akib Azmain Turja" . "[email-masked]") (:keywords "lisp" "extensions" "frames") (:url . "https://codeberg.org/akib/emacs-popon")) nil))

[...]

>  (corfu-terminal #s(package-desc corfu-terminal (0 5) "Corfu popup on terminal" ((emacs (26 1)) (corfu (0 24)) (popon (0 1))) vc nil "/home/feng/.emacs.d/elpa-29/corfu-terminal" ((:commit . "1a15a01e2e1464daadfa4973cb695802e5c23a25") (:authors ("Akib Azmain Turja" . "[email-masked]")) (:maintainer "Akib Azmain Turja" . "[email-masked]") (:keywords "convenience") (:url . "https://codeberg.org/akib/emacs-corfu-terminal")) nil)
>                  #s(package-desc corfu-terminal (0 5) "Corfu popup on terminal" ((emacs (26 1)) (corfu (0 24)) (popon (0 1))) nil nil "/home/feng/.emacs.d/elpa-29/corfu-terminal-0.5" ((:url . "https://codeberg.org/akib/emacs-corfu-terminal") (:keywords "convenience") (:maintainer "Akib Azmain Turja" . "[email-masked]") (:authors ("Akib Azmain Turja" . "[email-masked]")) (:commit . "1a15a01e2e1464daadfa4973cb695802e5c23a25")) t))

As I had assumed, "corfu-terminal" has a vc package in the cadr position
(as indicated by the "vc" after the dependency list), while
"popon" has a regular package, which confuses `package-vc-p'.

I will run a few experiments myself and report back if I have a solution.